Sign in to follow this  
DarwinNE

Maxima, il nipotino del grande MACSYMA

Recommended Posts

Non riesco a "graficare" nulla, nemmeno in modalità grafica ascii, richiede sempre la presenza del gnuplot... è strano

In olttre quando da Macport tento di installare gnuplot mi da errori di dipendenza...

suggerimenti ?

Prima di installare gnuplot cosa devo installare ?

Perché quando lancio maxima i tasti freccia per muovere avanti e in dietro il cursore non funzionano ?

Cosa devo configurare dal momento che nella shell "fuori da maxima" funzionano correttamente ?

Domada stupida... come si esce da maxima ? (che vergogna chiederlo :()

Grazie mille a chi mi aiuterà

Share this post


Link to post
Share on other sites

Non riesco a "graficare" nulla, nemmeno in modalità grafica ascii, richiede sempre la presenza del gnuplot... è strano

In olttre quando da Macport tento di installare gnuplot mi da errori di dipendenza...

suggerimenti ?

Prima di installare gnuplot cosa devo installare ?

Perché quando lancio maxima i tasti freccia per muovere avanti e in dietro il cursore non funzionano ?

Cosa devo configurare dal momento che nella shell "fuori da maxima" funzionano correttamente ?

Domada stupida... come si esce da maxima ? (che vergogna chiederlo :()

Grazie mille a chi mi aiuterà

Share this post


Link to post
Share on other sites

Non riesco a "graficare" nulla, nemmeno in modalità grafica ascii, richiede sempre la presenza del gnuplot... è strano

No, è normale. Maxima non fa grafici, si appoggia su Gnuplot, il quale ha fra i vari terminali anche quello testuale.

In olttre quando da Macport tento di installare gnuplot mi da errori di dipendenza...

Quali? Se no, puoi installare gnuplot con altri sistemi.

Perché quando lancio maxima i tasti freccia per muovere avanti e in dietro il cursore non funzionano ?

Prova a lanciare il programma con il comando rmaxima. E' dovuto probabilmente al fatto che il compilatore lisp utilizzato non accetta naturalmente i comandi di editing di linea avanzati. In questo modo si contorna il problema. Mi capita sul MacBook, mentre sull'iMac G5 il comando maxima va benissimo.

Domada stupida... come si esce da maxima ? (che vergogna chiederlo :()

quit();

Share this post


Link to post
Share on other sites

ho installato darwin dal sito segnalato, poi ecco il risultato:

Macintosh:~ riccardoturcio$ sudo port install maxima

Password:

---> Building sbcl with target all

Error: Target org.macports.build returned: shell command "unset LD_PREBIND && unset LD_PREBIND_ALLOW_OVERLAP && sh make.sh "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_lang_sbcl/work/sbcl-0.9.15-powerpc-darwin/src/runtime/sbcl --core /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_lang_sbcl/work/sbcl-0.9.15-powerpc-darwin/output/sbcl.core --disable-debugger --sysinit /dev/null --userinit /dev/null" " returned error 127

Command output: sh: make.sh: No such file or directory

Error: The following dependencies failed to build: sbcl

Error: Status 1 encountered during processing.

che faccio? il programma è carino e potrebbe anche essermi comodo

Share this post


Link to post
Share on other sites

ma perchè non riesco a installare niente con mac port? ho scaricao il dmg e l'ho anche istallato e poi ho tentanto di seguire le istruzioni di DarwiNE per installare maxima, ma niente. Ecco cosa avviene nel terminale:

imac-g5-di-riccardo-turcio:~ riccardoturcio$ sudo port install clisp

Password:

---> Fetching expat

---> Attempting to fetch expat-2.0.1.tar.gz from http://downloads.sourceforge.net/expat

---> Attempting to fetch expat-2.0.1.tar.gz from http://easynews.dl.sourceforge.net/expat

---> Verifying checksum(s) for expat

---> Extracting expat

---> Configuring expat

Error: Target org.macports.configure returned: configure failure: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_textproc_expat/work/expat-2.0.1" && ./configure --prefix=/opt/local --mandir=/opt/local/share/man " returned error 1

Command output: checking build system type... powerpc-apple-darwin9.0.0

checking host system type... powerpc-apple-darwin9.0.0

checking for gcc... no

checking for cc... no

checking for cc... no

checking for cl... no

configure: error: no acceptable C compiler found in $PATH

See `config.log' for more details.

Error: The following dependencies failed to build: gettext expat libiconv gperf libsigsegv readline ncurses ncursesw gawk

Error: Status 1 encountered during processing.

imac-g5-di-riccardo-turcio:~ riccardoturcio$

non oso immaginare che succederà con gnuplot e acquaterm. ma la cosa più strana e che ho appena installato leopard e non ho installato nessu programma ancora. Per quanto riguard fink, neanche l'ho installato perchè il dmg per leopard ancora deve uscire. mi date una mano? in vari siti ho letto che tutti utilizzano sto benedetto sudo port etc...

Share this post


Link to post
Share on other sites

ancora una cosa. non trovo il percorso per aggiungere la riga:

export PATH = $PATH:/opt/local/bin

se cerco con spootlight "bash" mi appare una cartella che però sta in opt/etc.. e poi in quella il file portfile. Ma è lo stesso? cioè che devo fa? non ci capisco niente più.

Share this post


Link to post
Share on other sites

ma perchè non riesco a installare niente con mac port? ho scaricao il dmg e l'ho anche istallato e poi ho tentanto di seguire le istruzioni di DarwiNE per installare maxima, ma niente.

Uhm... mi sembra che in questi ultimi mesi siano cambiate alcune cose con Darwinports (che non si chiama più cosi', del resto). Non ho capito se è stata una cosa positiva, ma ammetto di non aver cercato troppo a fondo.

Prova con i consigli di Zsammy e tenta di usare Fink.

Spotlight non serve con i file nascosti da terminale.

Per il file, dovrebbe andare bene il file nascosto .profile nella directory home.

Prova a battere:

pico .profile

E dovresti leggere nel file di configurazione che viene eseguito all'apertura del terminale.

Share this post


Link to post
Share on other sites

ok, sono riuscito a installare fink e ora sto installando acuaterm che a quanto ho capito serve poi per gnuplot. ho cmq provato a installare maxima tramite fink ma dopo molto tempo per la compilazione mi dice che ha trovato un errore. ma non è per caso che maxima non funziona sotto leopard? perchè quando avevo tiger non ho mai avuto problemi con l'installazione via fink.

p.s. ma quando seleziono un pacchetto con fink devo prima premere il bottone con .sh e poi quello con la A di applicazione per installare?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this